Range-v3 Range algorithms, views, and actions for the Standard Library |

Typedefs | Functions
sample.hpp File Reference

## Typedefs
template<typename I , typename O >
using | ranges::sample_result = detail::in_out_result< I, O >

## Functions
template<typename I , typename S , typename O , typename Gen = detail::default_random_engine &>
sample_result< I, O > | ranges::sample (I first, S last, O out, iter_difference_t< O > const n, Gen &&gen=detail::get_random_engine())
| function template `sample` More...
template<typename I , typename S , typename ORng , typename Gen = detail::default_random_engine &>
sample_result< I, borrowed_iterator_t< ORng > > | ranges::sample (I first, S last, ORng &&out, Gen &&gen=detail::get_random_engine())
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...
template<typename IRng , typename ORng , typename Gen = detail::default_random_engine &>
sample_result< borrowed_iterator_t< IRng >, borrowed_iterator_t< ORng > > | ranges::sample (IRng &&rng, ORng &&out, Gen &&gen=detail::get_random_engine())
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...
template<typename Rng , typename O , typename Gen = detail::default_random_engine &>
sample_result< borrowed_iterator_t< Rng >, O > | ranges::sample (Rng &&rng, O out, iter_difference_t< O > const n, Gen &&gen=detail::get_random_engine())
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...